Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.compiler.util
Class ErrorMsg

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.compiler.util.ErrorMsg

public final class ErrorMsg
extends java.lang.Object

Field Summary
`static int` | `ARGUMENT_CONVERSION_ERR`
`static int` | `ATTR_VAL_TEMPLATE_ERR`
`static int` | `ATTRIBSET_UNDEF_ERR`
`static int` | `CIRCULAR_INCLUDE_ERR`
`static int` | `CIRCULAR_VARIABLE_ERR`
`static int` | `CLASS_NOT_FOUND_ERR`
`static int` | `CMDLINE_OPT_MISSING_ARG_ERR`
`static int` | `COMPILE_STDIN_ERR`
`static int` | `COMPILE_USAGE_STR`
`static java.lang.String` | `COMPILER_ERROR_KEY`
`static java.lang.String` | `COMPILER_WARNING_KEY`
`static int` | `CONSTRUCTOR_NOT_FOUND`
`static int` | `DATA_CONVERSION_ERR`
`static int` | `DOCUMENT_ARG_ERR`
`static int` | `ELEMENT_PARSE_ERR`
`static int` | `ERROR_LISTENER_NULL_ERR`
`static java.lang.String` | `ERROR_MESSAGES_KEY`
`static int` | `ERROR_MSG`
`static int` | `ERROR_PLUS_WRAPPED_MSG`
`static int` | `FATAL_ERR_MSG`
`static int` | `FATAL_ERR_PLUS_WRAPPED_MSG`
`static int` | `FILE_ACCESS_ERR`
`static int` | `FILE_NOT_FOUND_ERR`
`static int` | `FUNCTION_RESOLVE_ERR`
`static int` | `ILLEGAL_ARG_ERR`
`static int` | `ILLEGAL_ATTR_NAME_ERR`
`static int` | `ILLEGAL_ATTRIBUTE_ERR`
`static int` | `ILLEGAL_BINARY_OP_ERR`
`static int` | `ILLEGAL_CHAR_ERR`
`static int` | `ILLEGAL_CHILD_ERR`
`static int` | `ILLEGAL_CMDLINE_OPTION_ERR`
`static int` | `ILLEGAL_ELEM_NAME_ERR`
`static int` | `ILLEGAL_PI_ERR`
`static int` | `ILLEGAL_RELAT_OP_ERR`
`static int` | `ILLEGAL_TEXT_NODE_ERR`
`static int` | `INTERNAL_ERR`
`static int` | `INVALID_URI_ERR`
`static int` | `JAXP_COMPILE_ERR`
`static int` | `JAXP_INVALID_ATTR_ERR`
`static int` | `JAXP_NO_HANDLER_ERR`
`static int` | `JAXP_NO_RESULT_ERR`
`static int` | `JAXP_NO_SOURCE_ERR`
`static int` | `JAXP_NO_TRANSLET_ERR`
`static int` | `JAXP_SET_RESULT_ERR`
`static int` | `JAXP_UNKNOWN_PROP_ERR`
`static int` | `JAXP_UNKNOWN_SOURCE_ERR`
`static int` | `KEY_USE_ATTR_ERR`
`static int` | `METHOD_NOT_FOUND_ERR`
`static int` | `MISSING_ROOT_ERR`
`static int` | `MISSING_WHEN_ERR`
`static int` | `MISSING_XSLT_TARGET_ERR`
`static int` | `MISSING_XSLT_URI_ERR`
`static int` | `MULTIPLE_OTHERWISE_ERR`
`static int` | `MULTIPLE_STYLESHEET_ERR`
`static int` | `NAMESPACE_UNDEF_ERR`
`static int` | `NEED_LITERAL_ERR`
`static int` | `NO_JAVA_FUNCT_THIS_REF`
`static int` | `NO_MAIN_TRANSLET_ERR`
`static int` | `NO_TRANSLET_CLASS_ERR`
`static int` | `NOT_IMPLEMENTED_ERR`
`static int` | `NOT_STYLESHEET_ERR`
`static int` | `OUTPUT_VERSION_ERR`
`static int` | `REQUIRED_ATTR_ERR`
`static int` | `RESULT_TREE_SORT_ERR`
`static java.lang.String` | `RUNTIME_ERROR_KEY`
`static int` | `SAX_PARSER_CONFIG_ERR`
`static int` | `SAX2DOM_ADAPTER_ERR`
`static int` | `STRAY_ATTRIBUTE_ERR`
`static int` | `STRAY_OTHERWISE_ERR`
`static int` | `STRAY_SORT_ERR`
`static int` | `STRAY_WHEN_ERR`
`static int` | `SYMBOLS_REDEF_ERR`
`static int` | `SYNTAX_ERR`
`static int` | `TEMPLATE_REDEF_ERR`
`static int` | `TEMPLATE_UNDEF_ERR`
`static int` | `TRANSFORM_USAGE_STR`
`static int` | `TRANSFORM_WITH_JAR_STR`
`static int` | `TRANSFORM_WITH_TRANSLET_STR`
`static int` | `TRANSLET_CLASS_ERR`
`static int` | `TRANSLET_OBJECT_ERR`
`static int` | `TYPE_CHECK_ERR`
`static int` | `TYPE_CHECK_UNK_LOC_ERR`
`static int` | `UNKNOWN_SIG_TYPE_ERR`
`static int` | `UNNAMED_ATTRIBSET_ERR`
`static int` | `UNSUPPORTED_ENCODING`
`static int` | `UNSUPPORTED_EXT_ERR`
`static int` | `UNSUPPORTED_XSL_ERR`
`static int` | `VARIABLE_REDEF_ERR`
`static int` | `VARIABLE_UNDEF_ERR`
`static int` | `WARNING_MSG`
`static int` | `WARNING_PLUS_WRAPPED_MSG`
`static int` | `WHEN_ELEMENT_ERR`
`static int` | `XPATH_PARSER_ERR`
`static int` | `XSL_VERSION_ERR`
`static int` | `XSLTC_SOURCE_ERR`

Constructor Summary
`ErrorMsg(int code)`
`ErrorMsg(int code, int line, java.lang.Object param)`
`ErrorMsg(int code, java.lang.Object param)`
`ErrorMsg(int code, java.lang.Object param1, java.lang.Object param2)`
`ErrorMsg(int code, java.lang.Object param1, java.lang.Object param2, SyntaxTreeNode node)`
`ErrorMsg(int code, java.lang.Object param1, SyntaxTreeNode node)`
`ErrorMsg(int code, SyntaxTreeNode node)`
`ErrorMsg(java.lang.String message)`
`ErrorMsg(java.lang.String message, int line)`

Method Summary
`static java.lang.String` | `getCompileErrorMessage()`
`static java.lang.String` | `getCompileWarningMessage()`
`static java.lang.String` | `getTransletErrorMessage()`
`java.lang.String` | `toString()` This version of toString() uses the _params instance variable to format the message.
`java.lang.String` | `toString(java.lang.Object obj)`
`java.lang.String` | `toString(java.lang.Object obj0, java.lang.Object obj1)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MULTIPLE_STYLESHEET_ERR

    public static final int MULTIPLE_STYLESHEET_ERR

### TEMPLATE_REDEF_ERR

    public static final int TEMPLATE_REDEF_ERR

### TEMPLATE_UNDEF_ERR

    public static final int TEMPLATE_UNDEF_ERR

### VARIABLE_REDEF_ERR

    public static final int VARIABLE_REDEF_ERR

### VARIABLE_UNDEF_ERR

    public static final int VARIABLE_UNDEF_ERR

### CLASS_NOT_FOUND_ERR

    public static final int CLASS_NOT_FOUND_ERR

### METHOD_NOT_FOUND_ERR

    public static final int METHOD_NOT_FOUND_ERR

### ARGUMENT_CONVERSION_ERR

    public static final int ARGUMENT_CONVERSION_ERR

### FILE_NOT_FOUND_ERR

    public static final int FILE_NOT_FOUND_ERR

### INVALID_URI_ERR

    public static final int INVALID_URI_ERR

### FILE_ACCESS_ERR

    public static final int FILE_ACCESS_ERR

### MISSING_ROOT_ERR

    public static final int MISSING_ROOT_ERR

### NAMESPACE_UNDEF_ERR

    public static final int NAMESPACE_UNDEF_ERR

### FUNCTION_RESOLVE_ERR

    public static final int FUNCTION_RESOLVE_ERR

### NEED_LITERAL_ERR

    public static final int NEED_LITERAL_ERR

### XPATH_PARSER_ERR

    public static final int XPATH_PARSER_ERR

### REQUIRED_ATTR_ERR

    public static final int REQUIRED_ATTR_ERR

### ILLEGAL_CHAR_ERR

    public static final int ILLEGAL_CHAR_ERR

### ILLEGAL_PI_ERR

    public static final int ILLEGAL_PI_ERR

### STRAY_ATTRIBUTE_ERR

    public static final int STRAY_ATTRIBUTE_ERR

### ILLEGAL_ATTRIBUTE_ERR

    public static final int ILLEGAL_ATTRIBUTE_ERR

### CIRCULAR_INCLUDE_ERR

    public static final int CIRCULAR_INCLUDE_ERR

### RESULT_TREE_SORT_ERR

    public static final int RESULT_TREE_SORT_ERR

### SYMBOLS_REDEF_ERR

    public static final int SYMBOLS_REDEF_ERR

### XSL_VERSION_ERR

    public static final int XSL_VERSION_ERR

### CIRCULAR_VARIABLE_ERR

    public static final int CIRCULAR_VARIABLE_ERR

### ILLEGAL_BINARY_OP_ERR

    public static final int ILLEGAL_BINARY_OP_ERR

### ILLEGAL_ARG_ERR

    public static final int ILLEGAL_ARG_ERR

### DOCUMENT_ARG_ERR

    public static final int DOCUMENT_ARG_ERR

### MISSING_WHEN_ERR

    public static final int MISSING_WHEN_ERR

### MULTIPLE_OTHERWISE_ERR

    public static final int MULTIPLE_OTHERWISE_ERR

### STRAY_OTHERWISE_ERR

    public static final int STRAY_OTHERWISE_ERR

### STRAY_WHEN_ERR

    public static final int STRAY_WHEN_ERR

### WHEN_ELEMENT_ERR

    public static final int WHEN_ELEMENT_ERR

### UNNAMED_ATTRIBSET_ERR

    public static final int UNNAMED_ATTRIBSET_ERR

### ILLEGAL_CHILD_ERR

    public static final int ILLEGAL_CHILD_ERR

### ILLEGAL_ELEM_NAME_ERR

    public static final int ILLEGAL_ELEM_NAME_ERR

### ILLEGAL_ATTR_NAME_ERR

    public static final int ILLEGAL_ATTR_NAME_ERR

### ILLEGAL_TEXT_NODE_ERR

    public static final int ILLEGAL_TEXT_NODE_ERR

### SAX_PARSER_CONFIG_ERR

    public static final int SAX_PARSER_CONFIG_ERR

### INTERNAL_ERR

    public static final int INTERNAL_ERR

### UNSUPPORTED_XSL_ERR

    public static final int UNSUPPORTED_XSL_ERR

### UNSUPPORTED_EXT_ERR

    public static final int UNSUPPORTED_EXT_ERR

### MISSING_XSLT_URI_ERR

    public static final int MISSING_XSLT_URI_ERR

### MISSING_XSLT_TARGET_ERR

    public static final int MISSING_XSLT_TARGET_ERR

### NOT_IMPLEMENTED_ERR

    public static final int NOT_IMPLEMENTED_ERR

### NOT_STYLESHEET_ERR

    public static final int NOT_STYLESHEET_ERR

### ELEMENT_PARSE_ERR

    public static final int ELEMENT_PARSE_ERR

### KEY_USE_ATTR_ERR

    public static final int KEY_USE_ATTR_ERR

### OUTPUT_VERSION_ERR

    public static final int OUTPUT_VERSION_ERR

### ILLEGAL_RELAT_OP_ERR

    public static final int ILLEGAL_RELAT_OP_ERR

### ATTRIBSET_UNDEF_ERR

    public static final int ATTRIBSET_UNDEF_ERR

### ATTR_VAL_TEMPLATE_ERR

    public static final int ATTR_VAL_TEMPLATE_ERR

### UNKNOWN_SIG_TYPE_ERR

    public static final int UNKNOWN_SIG_TYPE_ERR

### DATA_CONVERSION_ERR

    public static final int DATA_CONVERSION_ERR

### NO_TRANSLET_CLASS_ERR

    public static final int NO_TRANSLET_CLASS_ERR

### NO_MAIN_TRANSLET_ERR

    public static final int NO_MAIN_TRANSLET_ERR

### TRANSLET_CLASS_ERR

    public static final int TRANSLET_CLASS_ERR

### TRANSLET_OBJECT_ERR

    public static final int TRANSLET_OBJECT_ERR

### ERROR_LISTENER_NULL_ERR

    public static final int ERROR_LISTENER_NULL_ERR

### JAXP_UNKNOWN_SOURCE_ERR

    public static final int JAXP_UNKNOWN_SOURCE_ERR

### JAXP_NO_SOURCE_ERR

    public static final int JAXP_NO_SOURCE_ERR

### JAXP_COMPILE_ERR

    public static final int JAXP_COMPILE_ERR

### JAXP_INVALID_ATTR_ERR

    public static final int JAXP_INVALID_ATTR_ERR

### JAXP_SET_RESULT_ERR

    public static final int JAXP_SET_RESULT_ERR

### JAXP_NO_TRANSLET_ERR

    public static final int JAXP_NO_TRANSLET_ERR

### JAXP_NO_HANDLER_ERR

    public static final int JAXP_NO_HANDLER_ERR

### JAXP_NO_RESULT_ERR

    public static final int JAXP_NO_RESULT_ERR

### JAXP_UNKNOWN_PROP_ERR

    public static final int JAXP_UNKNOWN_PROP_ERR

### SAX2DOM_ADAPTER_ERR

    public static final int SAX2DOM_ADAPTER_ERR

### XSLTC_SOURCE_ERR

    public static final int XSLTC_SOURCE_ERR

### COMPILE_STDIN_ERR

    public static final int COMPILE_STDIN_ERR

### COMPILE_USAGE_STR

    public static final int COMPILE_USAGE_STR

### TRANSFORM_USAGE_STR

    public static final int TRANSFORM_USAGE_STR

### STRAY_SORT_ERR

    public static final int STRAY_SORT_ERR

### UNSUPPORTED_ENCODING

    public static final int UNSUPPORTED_ENCODING

### SYNTAX_ERR

    public static final int SYNTAX_ERR

### CONSTRUCTOR_NOT_FOUND

    public static final int CONSTRUCTOR_NOT_FOUND

### NO_JAVA_FUNCT_THIS_REF

    public static final int NO_JAVA_FUNCT_THIS_REF

### TYPE_CHECK_ERR

    public static final int TYPE_CHECK_ERR

### TYPE_CHECK_UNK_LOC_ERR

    public static final int TYPE_CHECK_UNK_LOC_ERR

### ILLEGAL_CMDLINE_OPTION_ERR

    public static final int ILLEGAL_CMDLINE_OPTION_ERR

### CMDLINE_OPT_MISSING_ARG_ERR

    public static final int CMDLINE_OPT_MISSING_ARG_ERR

### WARNING_PLUS_WRAPPED_MSG

    public static final int WARNING_PLUS_WRAPPED_MSG

### WARNING_MSG

    public static final int WARNING_MSG

### FATAL_ERR_PLUS_WRAPPED_MSG

    public static final int FATAL_ERR_PLUS_WRAPPED_MSG

### FATAL_ERR_MSG

    public static final int FATAL_ERR_MSG

### ERROR_PLUS_WRAPPED_MSG

    public static final int ERROR_PLUS_WRAPPED_MSG

### ERROR_MSG

    public static final int ERROR_MSG

### TRANSFORM_WITH_TRANSLET_STR

    public static final int TRANSFORM_WITH_TRANSLET_STR

### TRANSFORM_WITH_JAR_STR

    public static final int TRANSFORM_WITH_JAR_STR

### ERROR_MESSAGES_KEY

    public static final java.lang.String ERROR_MESSAGES_KEY

### COMPILER_ERROR_KEY

    public static final java.lang.String COMPILER_ERROR_KEY

### COMPILER_WARNING_KEY

    public static final java.lang.String COMPILER_WARNING_KEY

### RUNTIME_ERROR_KEY

    public static final java.lang.String RUNTIME_ERROR_KEY

Constructor Detail

### ErrorMsg

    public ErrorMsg(int code)

### ErrorMsg

    public ErrorMsg(java.lang.String message)

### ErrorMsg

    public ErrorMsg(java.lang.String message,
                    int line)

### ErrorMsg

    public ErrorMsg(int code,
                    int line,
                    java.lang.Object param)

### ErrorMsg

    public ErrorMsg(int code,
                    java.lang.Object param)

### ErrorMsg

    public ErrorMsg(int code,
                    java.lang.Object param1,
                    java.lang.Object param2)

### ErrorMsg

    public ErrorMsg(int code,
                    SyntaxTreeNode node)

### ErrorMsg

    public ErrorMsg(int code,
                    java.lang.Object param1,
                    SyntaxTreeNode node)

### ErrorMsg

    public ErrorMsg(int code,
                    java.lang.Object param1,
                    java.lang.Object param2,
                    SyntaxTreeNode node)

Method Detail

### getCompileErrorMessage

    public static java.lang.String getCompileErrorMessage()

### getCompileWarningMessage

    public static java.lang.String getCompileWarningMessage()

### getTransletErrorMessage

    public static java.lang.String getTransletErrorMessage()

### toString

    public java.lang.String toString()

  This version of toString() uses the _params instance variable to format the message. If the `_code` is negative the use _message as the error string.
  Overrides:
    toString in class java.lang.Object

### toString

    public java.lang.String toString(java.lang.Object obj)

### toString

    public java.lang.String toString(java.lang.Object obj0,
                                     java.lang.Object obj1)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.